INTERFACE
SUBROUTINE LARCINB(&
 & KST,KPROF,KHVI,LDSLPHY,LD2TLFF1,&
 & KL0,KLH0,PDLO,PCLO,PCLOSLD,&
 & PDLAT,PCLA,PCLASLD,KLEV,PDVER,PVINTW,PVINTWSLD,PVINTWS,PVDERW,PHVW,PB1,&
 & KVSEPC,KVSEPL,&
 & PDP,&
 & PUF,PVF,PTF,&
 & PGFLF,PCF,PCF_SI,PSVDF,PNHXF,PSPDF,PYF,&
 & PRSAF,&
 & PUFZ,PVFZ,&
 & PUPF,PVPF,PTPF,PGFLPF,&
 & PDBBCF,PDPHIF,PGWSF,&
 & PUF_SI,PVF_SI,PTF_SI,PSVDF_SI,PSPDF_SI) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE YOMDIM , ONLY : NFLEVG ,NPROMA ,NFLSA ,NFLEN
USE YOM_YGFL , ONLY : YGFL ,YGFLC
USE YOMMP , ONLY : NASLB1
USE YOMSC2 , ONLY : NFLDSLB1
INTEGER(KIND=JPIM),INTENT(IN) :: KHVI
INTEGER(KIND=JPIM),INTENT(IN) :: KST
INTEGER(KIND=JPIM),INTENT(IN) :: KPROF
LOGICAL ,INTENT(IN) :: LDSLPHY
LOGICAL ,INTENT(IN) :: LD2TLFF1
INTEGER(KIND=JPIM),INTENT(IN) :: KL0(NPROMA,NFLEVG,0:3)
INTEGER(KIND=JPIM),INTENT(IN) :: KLH0(NPROMA,NFLEVG,0:3)
REAL(KIND=JPRB) ,INTENT(IN) :: PDLO(NPROMA,NFLEVG,0:3)
REAL(KIND=JPRB) ,INTENT(IN) :: PCLO(NPROMA,NFLEVG,3,2)
REAL(KIND=JPRB) ,INTENT(IN) :: PCLOSLD(NPROMA,NFLEVG,3,2)
REAL(KIND=JPRB) ,INTENT(IN) :: PDLAT(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PCLA(NPROMA,NFLEVG,3)
REAL(KIND=JPRB) ,INTENT(IN) :: PCLASLD(NPROMA,NFLEVG,3)
INTEGER(KIND=JPIM),INTENT(IN) :: KLEV(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PDVER(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PVINTW(NPROMA,NFLEVG,3)
REAL(KIND=JPRB) ,INTENT(IN) :: PVINTWSLD(NPROMA,NFLEVG,3)
REAL(KIND=JPRB) ,INTENT(IN) :: PVINTWS(NPROMA,NFLEVG,1:4)
REAL(KIND=JPRB) ,INTENT(IN) :: PVDERW(NPROMA,NFLEVG,2*KHVI,2*KHVI)
REAL(KIND=JPRB) ,INTENT(IN) :: PHVW(NPROMA,NFLEVG,4*KHVI)
REAL(KIND=JPRB) ,INTENT(IN) :: PB1(NASLB1,NFLDSLB1)
INTEGER(KIND=JPIM),INTENT(INOUT) :: KVSEPC
INTEGER(KIND=JPIM),INTENT(INOUT) :: KVSEPL
REAL(KIND=JPRB) ,INTENT(OUT) :: PDP(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PUF(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PVF(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PTF(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PGFLF(NPROMA,NFLEVG,YGFL%NUMFLDS)
REAL(KIND=JPRB) ,INTENT(OUT) :: PCF(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PCF_SI(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PSVDF(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PNHXF(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PSPDF(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PYF(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PRSAF(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PUFZ(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PVFZ(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PUPF(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PVPF(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PTPF(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PGFLPF(NPROMA,NFLEVG,YGFL%NUMFLDS)
REAL(KIND=JPRB) ,INTENT(OUT) :: PDBBCF(NPROMA)
REAL(KIND=JPRB) ,INTENT(OUT) :: PDPHIF(NPROMA)
REAL(KIND=JPRB) ,INTENT(OUT) :: PGWSF(NPROMA)
REAL(KIND=JPRB) ,INTENT(OUT) :: PUF_SI(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PVF_SI(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PTF_SI(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PSVDF_SI(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PSPDF_SI(NPROMA,NFLEVG)
END SUBROUTINE LARCINB
END INTERFACE
